Change password
curl --request POST \
--url https://api.creditor.younegotiate.com/auth/change-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"current_password": "Password123!",
"password": "NewPassword123!",
"password_confirmation": "NewPassword123!"
}
'import requests
url = "https://api.creditor.younegotiate.com/auth/change-password"
payload = {
"current_password": "Password123!",
"password": "NewPassword123!",
"password_confirmation": "NewPassword123!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
current_password: 'Password123!',
password: 'NewPassword123!',
password_confirmation: 'NewPassword123!'
})
};
fetch('https://api.creditor.younegotiate.com/auth/change-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Change password
Change the authenticated creditor password and revoke other active tokens.
POST
/
auth
/
change-password
Change password
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Password changed.
Last modified on July 20, 2026
Was this page helpful?
⌘I

